Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.RecordManager

Extends M.Object.
The root object for RecordManager. A RecordManager is used by a controllers and is an interface that makes it easy for him to handle his model records.
Defined in: record_manager.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.RecordManager()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| records Array containing all currently loaded records.
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(record) Add the given model to the modelList.
| addMany(record) Concats an array if records to the records array.
| getRecordForId(id) Returns a record from the record array identified by the interal model id.
| remove(id) Deletes a model record from the record array
| removeAll() Resets record list

Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.RecordManager()
Field Detail
{Object} records
Array containing all currently loaded records.

{String} type
The type of this object.
Method Detail
add(record)
Add the given model to the modelList.

Parameters:
{Object} record

addMany(record)
Concats an array if records to the records array.

Parameters:
{Object} record

getRecordForId(id)
Returns a record from the record array identified by the interal model id.

Parameters:
{Number} id
  The internal model id of the model record.

remove(id)
Deletes a model record from the record array

Parameters:
{Number} id
  The internal model id of the model record.

removeAll()
Resets record list

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:33 GMT+0100 (MEZ)